package org.ts.ddcs.Entity;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.List;

public class WaterGateInfo {
    private String STCD; //测站编码
    private Timestamp TM; //观测时间
    private int gateSum;//闸门数量
    private Timestamp DT;  //报文发送时间
    private Timestamp TS; //接收时间
    private List<WaterGateDetailInfo> detailInfoList;

    public String getSTCD() {
        return STCD;
    }

    public void setSTCD(String STCD) {
        this.STCD = STCD;
    }

    public Timestamp getTM() {
        return TM;
    }

    public void setTM(Timestamp TM) {
        this.TM = TM;
    }

    public int getGateSum() {
        return gateSum;
    }

    public void setGateSum(int gateSum) {
        this.gateSum = gateSum;
    }

    public Timestamp getDT() {
        return DT;
    }

    public void setDT(Timestamp DT) {
        this.DT = DT;
    }

    public Timestamp getTS() {
        return TS;
    }

    public void setTS(Timestamp TS) {
        this.TS = TS;
    }

    public List<WaterGateDetailInfo> getDetailInfoList() {
        return detailInfoList;
    }

    public void setDetailInfoList(List<WaterGateDetailInfo> detailInfoList) {
        this.detailInfoList = detailInfoList;
    }
}
